GenAuth DocsDocuments
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Concepts
User Guide
Development Integration
AgentAuth
Metadata
Development Integration
Multi-tenant (beta)
Console Documentation
Multi-tenant Console
Tenant Console
Saas Application Demo
Old version
Development Integration
  • API

  • SDK

    • Java

      • Installation and use
      • User authentication module

      • Management module

        • Manage users

        • Management Roles

        • Manage user groups

        • Manage custom fields

        • Manage Resources and Permissions

        • Manage data resources and permissions

        • Manage Applications

          • Get Application Details
          • Get Application List
          • Get Simple Application Information
          • Get Simple Application Information List
          • Create Application
          • Delete application
          • Get application key
          • Refresh application key
          • Get the current logged-in user of the application
          • Get the default access authorization strategy of the application
          • Update the default access authorization strategy of the application
          • Authorize application access permissions
          • Delete application access authorization records
          • Check whether the domain name is available
          • Get user MFA trigger data under the application
        • Manage Identity Sources

        • Manage security configuration

        • Manage message service

        • Manage Pipeline

        • Manage Webhook

        • Get audit log

        • Manage metering and billing

        • Events
    • Node.js

    • Python

  • Error Codes
  1. Development Integration
  2. /
  3. SDK
  4. /
  5. Java
  6. /
  7. Management module

  8. /
  9. Manage Applications

  10. /
  11. Get Simple Application Information List

¶ Get a list of simple application information

Update time: 2025-07-23 07:34:21
Edit

This document is automatically generated based on https://github.com/authing/authing-docs-factory and https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If this document description is incorrect, please refer to V3 API.

Get a list of simple application information

¶ Method Name

ManagementClient.listApplicationSimpleInfo

¶ Request Parameters

NameType
Is it required
Default Value
Description
Example Value
pagenumberNo1Current page number, starting from 11
limitnumberNo10The maximum number of pages per page cannot exceed 50, and the default value is 1010
isIntegrateAppbooleanNo-Yes No for integrated applications
isSelfBuiltAppbooleanNo-Yes No for self-built applications
ssoEnabledbooleanNo-Yes No for enabling single sign-on
keywordsstringNo-for fuzzy search stringstest

¶ Sample Code

package test.management;

import cn.authing.sdk.java.client.ManagementClient;
import cn.authing.sdk.java.dto.ApplicationSimpleInfoPaginatedRespDto;
import cn.authing.sdk.java.dto.ListApplicationSimpleInfoDto;
import cn.authing.sdk.java.model.ManagementClientOptions;
import cn.authing.sdk.java.util.JsonUtils;

public class ListApplicationSimpleInfoTest {
    // Need to be replaced with your GenAuth Access Key ID
    private static final String ACCESS_KEY_ID = "AUTHING_ACCESS_KEY_ID";
    // Need to be replaced with your GenAuth Access Key Secret
    private static final String ACCESS_KEY_SECRET = "AUTHING_ACCESS_KEY_SECRET";

    public static void main(String[] args) throws Throwable {
        ManagementClientOptions clientOptions = new ManagementClientOptions();
        clientOptions.setAccessKeyId(ACCESS_KEY_ID);
        clientOptions.setAccessKeySecret(ACCESS_KEY_SECRET);
        // If you are a private deployment customer, you need to set the GenAuth service domain name
        // clientOptions.setHost("https://api.your-authing-service.com");

        ManagementClient client = new ManagementClient(clientOptions);

        ApplicationSimpleInfoPaginatedRespDto response = client.listApplicationSimpleInfo(new ListApplicationSimpleInfoDto());
        System.out.println(JsonUtils.serialize(response));
    }
}

¶ Request Response

Type: ApplicationSimpleInfoPaginatedRespDto

NameTypeDescription
statusCodenumberBusiness status code. You can use this status code to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegment error code, through which the specific error type can be obtained (not returned for successful requests). For a detailed list of error codes, see:API Code List (opens new window)
requestIdstringRequest ID. Returned when the request fails.
dataApplicationSimpleInfoPaginatedDataDtoResponse data

Example Results:

{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "list": {
      "appId": "62eaa95fe0xxxx9a5295bf7c",
      "appIdentifier": "example",
      "appName": "Demo",
      "appLogo": "Demo",
      "appDescription": "Example description",
      "appType": "web"
    },
    "totalCount": 10
  }
}

¶ Data Structure

¶ ApplicationSimpleInfoPaginatedDataDto

NameType
Is it required
Description
Example Value
listarrayYesList data nested Type: ApplicationSimpleInfoDto.
totalCountnumberYesTotal number of records10

¶ ApplicationSimpleInfoDto

NameType
Is it required
Description
Example Value
appIdstringYesApplication ID62eaa95fe0xxxx9a5295bf7c
appIdentifierstringYesApplication unique identifierexample
appNamestringYesApplication NameDemo
appLogostringYesApplication Logo linkDemo
appDescriptionstringNoApplication descriptionExample description
appTypestringYesApplication typeweb
isIntegrateAppbooleanYesYes No For integrated applications
Previous article: Get Simple Application Information Next article: Create Application
  • Method Name
  • Request Parameters
  • Sample Code
  • Request Response
  • Data Structure

User identity management

Integrated third-party login
Customized authentication process

Enterprise internal management

Single sign-on
Multi-factor authentication
Permission management

Developer

Development Documentation
GitHub (opens new window)

Company

official@genauth.ai
16th Floor, Building B, Beichen Century Center, Chaoyang District, Beijing (Total)
Room 406, 4th Floor, Block B, No. 200, Tianfu Fifth Street, High-tech Zone, Chengdu (Branch)

© Beijing Steamory Technology Co., Ltd.